﻿--[[
Name: Rating Buster enUS locale
Revision: $Revision: 1 $
Translated by: 
- Whitetooth@Cenarius (hotdogee@bahamut.twbbs.org)
]]

local L = AceLibrary("AceLocale-2.2"):new("RatingBuster")
----
-- This file is coded in UTF-8
-- If you don't have a editor that can save in UTF-8, I recommend Ultraedit
----
-- To translate AceLocale strings, replace true with the translation string
-- Before: ["Show Item ID"] = true,
-- After:  ["Show Item ID"] = "顯示物品編號",
L:RegisterTranslations("enUS", function() return {
	---------------------------
	-- Slash Command Options --
	---------------------------
	-- /rb statmod
	["Enable Stat Mods"] = true,
	["Enable support for Stat Mods"] = true,
	-- /rb itemid
	["Show ItemID"] = true,
	["Show the ItemID in tooltips"] = true,
	-- /rb itemlevel
	["Show ItemLevel"] = true,
	["Show the ItemLevel in tooltips"] = true,
	-- /rb usereqlv
	["Use required level"] = true,
	["Calculate using the required level if you are below the required level"] = true,
	-- /rb setlevel
	["Set level"] = true,
	["Set the level used in calculations (0 = your level)"] = true,
	-- /rb color
	["Change text color"] = true,
	["Changes the color of added text"] = true,
	-- /rb color pick
	["Pick color"] = true,
	["Pick a color"] = true,
	-- /rb color enable
	["Enable color"] = true,
	["Enable colored text"] = true,
	
	-- /rb stat
	["Stat"] = true,
	["Changes the display of base stats"] = true,
	-- /rb stat str
	["Strength"] = true,
	["Changes the display of Strength"] = true,
	-- /rb stat str ap
	["Show Attack Power"] = true,
	["Show Attack Power from Strength"] = true,
	-- /rb stat str block
	["Show Block Value"] = true,
	["Show Block Value from Strength"] = true,
	-- /rb stat str heal
	["Show Healing"] = true,
	["Show Healing from Strength"] = true,
	
	-- /rb stat agi
	["Agility"] = true,
	["Changes the display of Agility"] = true,
	-- /rb stat agi crit
	["Show Crit"] = true,
	["Show Crit chance from Agility"] = true,
	-- /rb stat agi dodge
	["Show Dodge"] = true,
	["Show Dodge chance from Agility"] = true,
	-- /rb stat agi ap
	["Show Attack Power"] = true,
	["Show Attack Power from Agility"] = true,
	-- /rb stat agi rap
	["Show Ranged Attack Power"] = true,
	["Show Ranged Attack Power from Agility"] = true,
	-- /rb stat agi armor
	["Show Armor"] = true,
	["Show Armor from Agility"] = true,
	
	-- /rb stat sta
	["Stamina"] = true,
	["Changes the display of Stamina"] = true,
	-- /rb stat sta hp
	["Show Health"] = true,
	["Show Health from Stamina"] = true,
	-- /rb stat sta dmg
	["Show Spell Damage"] = true,
	["Show Spell Damage from Stamina"] = true,
	
	-- /rb stat int
	["Intellect"] = true,
	["Changes the display of Intellect"] = true,
	-- /rb stat int spellcrit
	["Show Spell Crit"] = true,
	["Show Spell Crit chance from Intellect"] = true,
	-- /rb stat int mp
	["Show Mana"] = true,
	["Show Mana from Intellect"] = true,
	-- /rb stat int dmg
	["Show Spell Damage"] = true,
	["Show Spell Damage from Intellect"] = true,
	-- /rb stat int heal
	["Show Healing"] = true,
	["Show Healing from Intellect"] = true,
	-- /rb stat int mp5
	["Show Mana Regen"] = true,
	["Show Mana Regen while casting from Intellect"] = true,
	-- /rb stat int rap
	["Show Ranged Attack Power"] = true,
	["Show Ranged Attack Power from Intellect"] = true,
	-- /rb stat int armor
	["Show Armor"] = true,
	["Show Armor from Intellect"] = true,
	
	-- /rb stat spi
	["Spirit"] = true,
	["Changes the display of Spirit"] = true,
	-- /rb stat spi mp5
	["Show Mana Regen"] = true,
	["Show Mana Regen while casting from Spirit"] = true,
	-- /rb stat spi mp5nc
	["Show Mana Regen (not casting)"] = true,
	["Show Mana Regen while NOT casting from Spirit"] = true,
	-- /rb stat spi hp5
	["Show Health Regen"] = true,
	["Show Health Regen from Spirit"] = true,
	-- /rb stat spi dmg
	["Show Spell Damage"] = true,
	["Show Spell Damage from Spirit"] = true,
	-- /rb stat spi heal
	["Show Healing"] = true,
	["Show Healing from Spirit"] = true,
	-----------------------
	-- Item Level and ID --
	-----------------------
	["ItemLevel: "] = true,
	["ItemID: "] = true,
	-----------------------
	-- Matching Patterns --
	-----------------------
	-- Items to check --
	--------------------
	-- [Potent Ornate Topaz]
	-- +6 Spell Damage, +5 Spell Crit Rating
	--------------------
	-- ZG enchant
	-- +10 Defense Rating/+10 Stamina/+15 Block Value
	--------------------
	-- [Glinting Flam Spessarite]
	-- +3 Hit Rating and +3 Agility
	--------------------
	-- ItemID: 22589
	-- [Atiesh, Greatstaff of the Guardian] warlock version
	-- Equip: Increases the spell critical strike rating of all party members within 30 yards by 28.
	--------------------
	-- [Brilliant Wizard Oil]
	-- Use: While applied to target weapon it increases spell damage by up to 36 and increases spell critical strike rating by 14 . Lasts for 30 minutes. 
	----------------------------------------------------------------------------------------------------
	-- I redesigned the tooltip scanner using a more locale friendly, 2 pass matching matching algorithm.
	--
	-- The first pass searches for the rating number, the patterns are read from ["numberPatterns"] here,
	-- " by (%d+)" will match strings like: "Increases defense rating by 16."
	-- "%+(%d+)" will match strings like: "+10 Defense Rating"
	-- You can add additional patterns if needed, its not limited to 2 patterns.
	-- The separators are a table of strings used to break up a line into multiple lines what will be parsed seperately.
	-- For example "+3 Hit Rating, +5 Spell Crit Rating" will be split into "+3 Hit Rating" and " +5 Spell Crit Rating"
	--
	-- The second pass searches for the rating name, the names are read from ["statList"] here,
	-- It will look through the table in order, so you can put common strings at the begining to speed up the search,
	-- and longer strings should be listed first, like "spell critical strike" should be listed before "critical strike", 
	-- this way "spell critical strike" does get matched by "critical strike".
	-- Strings need to be in lower case letters, because string.lower is called on lookup
	--
	-- IMPORTANT: there may not exist a one-to-one correspondence, meaning you can't just translate this file, 
	-- but will need to go in game and find out what needs to be put in here.
	-- For example, in english I found 3 different strings that maps to CR_CRIT_MELEE: "critical strike", "critical hit" and "crit".
	-- You will need to find out every string that represents CR_CRIT_MELEE, and so on.
	-- In other languages there may be 5 different strings that should all map to CR_CRIT_MELEE.
	-- so please check in game that you have all strings, and not translate directly off this table.
	--
	-- Tip1: When doing localizations, I recommend you set debugging to true in RatingBuster.lua
	-- Find RatingBuster:SetDebugging(false) and change it to RatingBuster:SetDebugging(true)
	-- or you can type /rb debug to enable it in game
	--
	-- Tip2: The strings are passed into string.find, so you should escape the magic characters ^$()%.[]*+-? with a %
	["numberPatterns"] = {
		{pattern = " by (%d+)", addInfo = "AfterNumber",},
		{pattern = "%+(%d+)", addInfo = "AfterStat",},
		{pattern = "grant.-(%d+)", addInfo = "AfterNumber",}, -- for "grant you xx stat" type pattern, ex: Quel'Serrar, Assassination Armor set
	},
	["separators"] = {
		"/", " and ", ",", "%. ", " for ", "&"
	},
	--[[ Rating ID
	CR_WEAPON_SKILL = 1;
	CR_DEFENSE_SKILL = 2;
	CR_DODGE = 3;
	CR_PARRY = 4;
	CR_BLOCK = 5;
	CR_HIT_MELEE = 6;
	CR_HIT_RANGED = 7;
	CR_HIT_SPELL = 8;
	CR_CRIT_MELEE = 9;
	CR_CRIT_RANGED = 10;
	CR_CRIT_SPELL = 11;
	CR_HIT_TAKEN_MELEE = 12;
	CR_HIT_TAKEN_RANGED = 13;
	CR_HIT_TAKEN_SPELL = 14;
	CR_CRIT_TAKEN_MELEE = 15;
	CR_CRIT_TAKEN_RANGED = 16;
	CR_CRIT_TAKEN_SPELL = 17;
	CR_HASTE_MELEE = 18;
	CR_HASTE_RANGED = 19;
	CR_HASTE_SPELL = 20;
	CR_WEAPON_SKILL_MAINHAND = 21;
	CR_WEAPON_SKILL_OFFHAND = 22;
	CR_WEAPON_SKILL_RANGED = 23;
	--
	SPELL_STAT1_NAME = "Strength"
	SPELL_STAT2_NAME = "Agility"
	SPELL_STAT3_NAME = "Stamina"
	SPELL_STAT4_NAME = "Intellect"
	SPELL_STAT5_NAME = "Spirit"
	--]]
	["statList"] = {
		{pattern = string.lower(SPELL_STAT1_NAME), id = SPELL_STAT1_NAME}, -- Strength
		{pattern = string.lower(SPELL_STAT2_NAME), id = SPELL_STAT2_NAME}, -- Agility
		{pattern = string.lower(SPELL_STAT3_NAME), id = SPELL_STAT3_NAME}, -- Stamina
		{pattern = string.lower(SPELL_STAT4_NAME), id = SPELL_STAT4_NAME}, -- Intellect
		{pattern = string.lower(SPELL_STAT5_NAME), id = SPELL_STAT5_NAME}, -- Spirit
		{pattern = "defense rating", id = CR_DEFENSE_SKILL},
		{pattern = "dodge rating", id = CR_DODGE},
		{pattern = "block rating", id = CR_BLOCK}, -- block enchant: "+10 Shield Block Rating"
		{pattern = "parry rating", id = CR_PARRY},
	
		{pattern = "spell critical strike rating", id = CR_CRIT_SPELL},
		{pattern = "spell critical hit rating", id = CR_CRIT_SPELL},
		{pattern = "spell critical rating", id = CR_CRIT_SPELL},
		{pattern = "spell crit rating", id = CR_CRIT_SPELL},
		{pattern = "ranged critical strike rating", id = CR_CRIT_RANGED},
		{pattern = "ranged critical hit rating", id = CR_CRIT_RANGED},
		{pattern = "ranged critical rating", id = CR_CRIT_RANGED},
		{pattern = "ranged crit rating", id = CR_CRIT_RANGED},
		{pattern = "critical strike rating", id = CR_CRIT_MELEE},
		{pattern = "critical hit rating", id = CR_CRIT_MELEE},
		{pattern = "crit rating", id = CR_CRIT_MELEE},
		
		{pattern = "spell hit rating", id = CR_HIT_SPELL},
		{pattern = "ranged hit rating", id = CR_HIT_RANGED},
		{pattern = "hit rating", id = CR_HIT_MELEE},
		
		{pattern = "resilience", id = CR_CRIT_TAKEN_MELEE}, -- resilience is implicitly a rating
		
		{pattern = "spell haste rating", id = CR_HASTE_SPELL},
		{pattern = "ranged haste rating", id = CR_HASTE_RANGED},
		{pattern = "haste rating", id = CR_HASTE_MELEE},
		{pattern = "speed rating", id = CR_HASTE_MELEE}, -- [Drums of Battle]
		
		{pattern = "skill rating", id = CR_WEAPON_SKILL},
		
		{pattern = "hit avoidance rating", id = CR_HIT_TAKEN_MELEE},
		--[[
		{pattern = "dagger skill rating", id = CR_WEAPON_SKILL},
		{pattern = "sword skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed swords skill rating", id = CR_WEAPON_SKILL},
		{pattern = "axe skill rating", id = CR_WEAPON_SKILL},
		{pattern = "bow skill rating", id = CR_WEAPON_SKILL},
		{pattern = "crossbow skill rating", id = CR_WEAPON_SKILL},
		{pattern = "gun skill rating", id = CR_WEAPON_SKILL},
		{pattern = "feral combat skill rating", id = CR_WEAPON_SKILL},
		{pattern = "mace skill rating", id = CR_WEAPON_SKILL},
		{pattern = "polearm skill rating", id = CR_WEAPON_SKILL},
		{pattern = "staff skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed axes skill rating", id = CR_WEAPON_SKILL},
		{pattern = "two%-handed maces skill rating", id = CR_WEAPON_SKILL},
		{pattern = "fist weapons skill rating", id = CR_WEAPON_SKILL},
		--]]
	},
	-------------------------
	-- Added info patterns --
	-------------------------
	-- $value will be replaced with the number
	-- EX: "$value% Crit" -> "+1.34% Crit"
	-- EX: "Crit $value%" -> "Crit +1.34%"
	["$value% Crit"] = true,
	["$value% Spell Crit"] = true,
	["$value% Dodge"] = true,
	["$value HP"] = true,
	["$value MP"] = true,
	["$value AP"] = true,
	["$value RAP"] = true,
	["$value Dmg"] = true,
	["$value Heal"] = true,
	["$value Armor"] = true,
	["$value Block"] = true,
	["$value MP5"] = true,
	["$value MP5(NC)"] = true,
	["$value HP5"] = true,
} end)